﻿@using Mandiri.Lelang.WebAdminUI.Utility
@model Mandiri.Lelang.ViewModel.MessageViewModel

@{
    AjaxOptions submitAjaxOptions = new AjaxOptions();
    submitAjaxOptions.OnBegin = "OnAjaxRequestBegin";
    submitAjaxOptions.OnFailure = "OnAjaxRequestFailure";
    submitAjaxOptions.OnSuccess = "OnAjaxRequestSuccess";
    submitAjaxOptions.UpdateTargetId = "validation-summary";
}

@section head
{
    <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?language=id&libraries=places"></script>
}

<div class="container" id="divAddForm">
    <div class="page-header">
        <h1>Pesan <small>(Tambah atau Edit Pesan)</small></h1>
    </div>
    @using (Ajax.BeginForm("Message", "Administration", ajaxOptions: submitAjaxOptions, htmlAttributes: new { id = "addForm", role = "form", autocomplete = "off" }))
    {
        <div class="col-md-5">
            @Html.AntiForgeryToken()
            @Html.Partial("_ValidationSummary")
            <div class="form-group">
                @Html.LabelFor(m => m.MessageID, new { @class = "control-label" })
                <div class="controls">
                    @if (Model.IsEditMode)
                    {
                        <p class="form-control-static">@Html.ValueFor(m => m.MessageID)</p>
                    }
                    else
                    {
                        <p class="form-control-static">(Auto)</p>
                    }
                    @Html.HiddenFor(m => m.MessageID)
                    @Html.HiddenFor(m => m.IsEditMode)
                </div>
                <br />
                @Html.LabelFor(m => m.DateTimeCreated, new {@class = "control-label"})
                <div class="controls">
                    @if (Model.IsEditMode)
                    {
                        <p class="form-control-static">@Html.ValueFor(m => m.CreatedDate)</p>
                    }
                    else
                    {
                        <p class="form-control-static">(Auto)</p>
                    }
                    @Html.HiddenFor(m => m.CreatedDate)
                </div>
            </div>
            <div class="form-group@(Html.ValidationErrorFor(m => m.MessageCategoryTypeID, " has-error"))">
                @Html.LabelFor(m => m.Category, new { @class = "control-label" })
                <div class="controls">
                    @Html.DropDownListFor(m => m.MessageCategoryTypeID, new SelectList(Model.MessageCategoryList, "MessageCategoryTypeID", "Name"), "(Required)", htmlAttributes: new { @class = "form-control input-sm" })
                    @Html.ValidationMessageFor(m => m.MessageCategoryTypeID, null, new { @class = "help-block" })
                </div>
            </div>
            @Html.EditorFor(m => m.Name, additionalViewData: new { placeholder = "Required", autofocus = "autofocus" })
            @Html.EditorFor(m => m.Phone, additionalViewData: new { placeholder = "Required", autofocus = "autofocus", @type = "number" })
            @Html.EditorFor(m => m.Email, additionalViewData: new { placeholder = "Optional", autofocus = "autofocus" })
            @Html.EditorFor(m => m.AssetCode, additionalViewData: new { placeholder = "Optional", autofocus = "autofocus" }) 
            <div class="form-group@(Html.ValidationErrorFor(m => m.BranchID, " has-error"))">
                @Html.LabelFor(m => m.BranchName, new { @class = "control-label" })
                <div class="controls">
                    @Html.DropDownListFor(m => m.BranchID, new SelectList(Model.BranchList, "BranchID", "Name"), "(Optional)", htmlAttributes: new { @class = "form-control input-sm" })
                    @Html.ValidationMessageFor(m => m.BranchID, null, new { @class = "help-block" })
                </div>
            </div>
            @Html.EditorFor(m => m.TextMessage, "Multiline", additionalViewData: new { placeholder = "(Optional)" })

            <div class="form-group@(Html.ValidationErrorFor(m => m.MessageStatusID, " has-error"))">
                @Html.LabelFor(m => m.MessageStatusName, new { @class = "control-label" })
                <div class="controls">
                    @Html.DropDownListFor(m => m.MessageStatusID, new SelectList(Model.MessageStatusList, "MessageStatusID", "Name"), "(Required)", htmlAttributes: new { @class = "form-control input-sm" })
                    @Html.ValidationMessageFor(m => m.MessageStatusID, null, new { @class = "help-block" })
                </div>
            </div>
             @Html.EditorFor(m => m.Remarks, "Multiline", additionalViewData: new { placeholder = "(Optional)" })
            <button type="submit" class="btn btn-primary">Save</button>
            @Html.ActionLink("Kembali ke List", "Message", "Administration", null, new { @class = "btn btn-default" })

            <script type="text/javascript">
                bindValidator("addForm");
            </script>
        </div>
    }
</div>
